version: "3"

services:
  api:
    command: npm run dev
    volumes:
      - ./api/src:/usr/src/app/src

  frontend:
    build:
      context: ./frontend
      dockerfile: Dockerfile.dev
    container_name: realworld-docker-frontend
    command: npm start
    stdin_open: true
    tty: true
    environment:
      - CHOKIDAR_USEPOLLING=true
    volumes:
      - './frontend:/usr/src/app'
      - '/app/node_modules'